# DataExchange
TKXSBase
Interface

# Interface_CheckFailure Class Reference

`#include <Interface_CheckFailure.hxx>`

Inheritance diagram for Interface_CheckFailure:

[legend]

## Public Member Functions

Standard_EXPORT | Interface_CheckFailure ()
Standard_EXPORT | Interface_CheckFailure (const Standard_CString AString)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | Raise (const Standard_CString aMessage="")
static Standard_EXPORT void | Raise (Standard_SStream &aReason)
static Standard_EXPORT | Handle (Interface_CheckFailure) NewInstance(const Standard_CString aMessage)

## Private Member Functions

virtual Standard_EXPORT void | Throw () const

## Friends

Standard_EXPORT friend Handle_Standard_Type & | Interface_CheckFailure_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT Interface_CheckFailure::Interface_CheckFailure | ( |  | ) | `[inline]`

Standard_EXPORT Interface_CheckFailure::Interface_CheckFailure | ( | const Standard_CString | AString | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const Interface_CheckFailure::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Interface_InterfaceError.

static Standard_EXPORT Interface_CheckFailure::Handle | ( | Interface_CheckFailure |  | ) | const`[static]`

static Standard_EXPORT void Interface_CheckFailure::Raise | ( | Standard_SStream & | aReason | ) | `[static]`

| Reimplemented from Interface_InterfaceError.

static Standard_EXPORT void Interface_CheckFailure::Raise | ( | const Standard_CString | aMessage = `""` | ) | `[static]`

| Reimplemented from Interface_InterfaceError.

virtual Standard_EXPORT void Interface_CheckFailure::Throw | ( |  | ) | const`[private, virtual]`

| Reimplemented from Interface_InterfaceError.

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& Interface_CheckFailure_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- Interface_CheckFailure.hxx